Subject: Re: [PATCH v4] e1000: Support RX-ALL flag.

From: Ben Greear <[email-masked]>
Date: Thu, 29 Mar 2012 18:56:50 -0700

On 03/29/2012 05:56 PM, Jeff Kirsher wrote:
> On Thu, 2012-03-29 at 15:47 -0700, [email-masked] wrote:
>>
>> From: Ben Greear<[email-masked]>
>>
>> This allows the NIC to receive errored frames (bad FCS, etc)
>> and pass them up the stack.  This can be useful when using
>> sniffers.
>>
>> Signed-off-by: Ben Greear<[email-masked]>
>> ---
>> :100644 100644 a680ee6... ab2f748...
>> M  drivers/net/ethernet/intel/e1000/e1000_main.c
>>   drivers/net/ethernet/intel/e1000/e1000_main.c |   22
>> ++++++++++++++++++++--
>>   1 files changed, 20 insertions(+), 2 deletions(-)
>
> FYI- I was just about to push this upstream :)  Thanks Ben!
>
> This is the same patch Aaron has tested in-house.

Sounds good.

 From what I recall, igb is missing rx-fcs (and it may not be possible to
support the feature..chipset seems to act weird), but I think that takes care
of the rest of the 10/100/1000 Intel NICs.

I'll see if I can add some support for ixgbe when I get a chance.  That would
take care of all the NICs I normally use I think...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com